Kmail will not load

Forum rules
Before you post please read how to get help

Kmail will not load

Postby mwm1998 on Wed May 06, 2009 12:11 am

I downloaded Kmail with mintinstall and also after a reload with Synaptic Package manager. After installing Kmail I received the following error message when opening Kontact.
QLibrary::load_sys: Cannot load /usr/lib/kde4/kmailpart.so (/usr/lib/libkmailprivate.so.4: undefined symbol: _ZN4KPIM8KMeditor16contextMenuEventEP17QContextMenuEvent)

I am very new. I read this error on another post and followed the link. I did not understand what I needed to load or do to make this work. Would someone give me some detailed instructions regarding how to fix this error code.

Being able to use Kontact was why I chose Linux Mint in the first place. I do not understand why Thunderbird was chosen as the default mail client instead of Kmail. As a KDE distro, it would seem that Kmail would be part of the default install. In any case all help is appreciated and followed to the best of my ability.

Thanks
Michael
mwm1998
Level 1
Level 1
 
Posts: 9
Joined: Mon May 04, 2009 3:27 pm

Linux Mint is funded by ads and donations.
 

Re: Kmail will not load

Postby Husse on Thu May 07, 2009 6:09 pm

Thunderbird and Firefox is the default Mint choice
I cold hardly find anything about this error so I'll move it to the KDE section and hope someone has an idea
Image
Don't fix it if it ain't broken, don't break it if you can't fix it
Husse
Level 21
Level 21
 
Posts: 19703
Joined: Sun Feb 11, 2007 7:22 am
Location: Near Borås Sweden

Re: Kmail will not load

Postby Steely on Thu May 07, 2009 6:33 pm

There has been lots of issues with kmail in distributions besides Mint KDE and Kubuntu. The worst ones were during the 4.1 releases and there were still issues with kde 4.2.

You can check the fixes for kmail at http://www.kde.org/announcements/change ... o4_2_2.php

You can enable the ppa repositories ( 2 of them located at the bottom of the list ) by using synaptic or by editing your sources.list file kdesudo kate /etc/apt/sources.list . I can't guarantee that upgrading the version of kde you are using to 4.2.2 will resolve the problem or will not cause breakage elsewhere . Mint 7 KDE is moving along well according to another post here by the developer, Boo. Many of the problems that were present in Mint 6 KDE should be gone as it will have a much more solid base.

Dale
User avatar
Steely
Level 3
Level 3
 
Posts: 101
Joined: Sun Mar 16, 2008 5:29 pm


Return to KDE

Who is online

Users browsing this forum: Yahoo [Bot] and 2 guests